<!DOCTYPE html>
<html>
  <head>
      <meta charset="utf-8">
      <meta name="generator" content="GitLab Pages">
      <title>KATRIN remote analysis shift</title>
      <link rel="shortcut icon" href="https://ikp-neu-katrin.ikp.kit.edu/routine/pics/KATRINlogo.ico" />
      <link rel="stylesheet" href="style.css">
  </head>

  <body>
    <div class="navbar">
      <a style="background-color:#1761B2;text-decoration:none"><b>Quick links:</b></a>
      <a href="http://adei-katrin.kaas.kit.edu" target="_blank">Adei</a>
      <a href="http://katana.npl.washington.edu" target="_blank">katana</a>
      <a href="http://katana.npl.washington.edu/~sanshiro/brew/KNM6/" target="_blank">brew</a>
      <a href="https://webtrium.mpp.mpg.de" target="_blank">webtrium</a>
    </div>

    <center>
      <h1>Checklist for remote analysis shifts</h1>
    </center>

    <hr>

    <h2 style="text-align:right">Step 3/3</h2>

    <center>
      <h3>Summary:</h3>
      <br>
      <hr>
      <table id="table" style="max-width:600px;">
        <tr>
        <td style="text-align:left"><body onload="document.getElementById('result').innerHTML = localStorage.getItem('summary')">
          <text id="result"></text>
        </body></td>
        </tr>
      </table>
      <br>
      <hr>
      <br>
      <button type="submit" onclick="cancel()" id="Cancel">Cancel</button>
      <button type="submit" onclick="submit()" id="Submit">Submit report</button>
      <br><br><br><br>

      <script type="text/javascript">

          function cancel() {
              window.location.href="index.php";
          }

          function submit() {

              <?php
                $file = "recentSQLName.txt";
                $f = fopen($file, 'r');
                $tableName = fgets($f);
                fclose($f);
                $db= new SQLite3("data/mydb.sqlite");

                $Run_Range        = $_GET["Run_Range"];
                $Mode             = $_GET["Mode"];
                $Submitted        = $_GET["Submitted"];
                $Author           = $_GET["Author"];
                $HV_K65           = $_GET["HV_K65"];
                $HV_TankPotential = $_GET["HV_TankPotential"];
                $BIXS             = $_GET["BIXS"];
                $LARA             = $_GET["LARA"];
                $LARA_Crosscheck  = $_GET["LARA_crosscheck"];
                $FBM              = $_GET["FBM"];
                $RW               = $_GET["RW"];
                $Run_Length       = $_GET["Run_Length"];
                $Data_Size        = $_GET["Data_Size"];
                $FPD_Energy       = $_GET["FPD_Energy"];
                $Grid_sync        = $_GET["Grid_sync"];
                $Rate_300         = $_GET["Rate_300"];
                $Rate_90          = $_GET["Rate_90"];
                $Tritium_Purity   = $_GET["Tritium_Purity"];
                $Summary   = $_GET["Summary"];

                #$db->exec("CREATE TABLE IF NOT EXISTS $tableName(id INTEGER PRIMARY KEY NOT NULL, Run_Range Text, Mode Text, Submitted Text, Author Text, HV_K65 Text, HV_TankPotential Text, BIXS Text, LARA Text, LARA_crosscheck Text, FBM Text, RW Text, Run_Length Text, Data_Size Text, FPD_Energy Text, Grid_sync Text, Rate_300 Text, Rate_90 Text, Tritium_Purity Text, Summary Text )");


                //#$string_to_insert=$db->escapeString($author);
                $db->exec("INSERT INTO $tableName (Run_Range, Mode, Submitted, Author, HV_K65, HV_TankPotential, BIXS, LARA, LARA_crosscheck, FBM, RW, Run_Length, Data_Size, FPD_Energy, Grid_sync, Rate_300, Rate_90, Tritium_Purity, Summary) VALUES ('$Run_Range', '$Mode', '$Submitted', '$Author', '$HV_K65', '$HV_TankPotential', '$BIXS', '$LARA', '$LARA_Crosscheck', '$FBM', '$RW', '$Run_Length', '$Data_Size', '$FPD_Energy', '$Grid_sync', '$Rate_300', '$Rate_90', '$Tritium_Purity', '$Summary')");


              ?>

              localStorage.clear()
              window.location.href="index.php";
          }
      </script>





    </center>
  </body>
</html>
